﻿@model Tuple<List<PaymentMeanOrder>, decimal>
@{
    int index = 0;
    decimal paid = 0;
    decimal Overall = decimal.Truncate(Model.Item2 * 100m) / 100m;
    decimal balance = decimal.Truncate(Model.Item2 * 100m) / 100m;
    decimal surchargePer = 0;
    decimal amount = 0;
}
<table class="table table-striped SalesOrderTable">
    <thead>
        <tr>
            <th><strong><label>Id</label></strong></th>
            <th><strong><label>@PaymentMeans.PaymentMean</label></strong></th>
            <th><strong><label>@PaymentMeans.VoucherNro</label></strong></th>
            <th><strong><label>@PaymentMeans.CreditCardNro</label></strong></th>
            <th><strong><label>@PaymentMeans.Quotas</label></strong></th>
            <th><strong><label>@PaymentMeans.Date</label></strong></th>
            <th><strong><label>@PaymentMeans.DueDate</label></strong></th>
            <th><strong><label>@PaymentMeans.Account</label></strong></th>
            <th><strong><label>@PaymentMeans.Contract</label></strong></th>
            <th><strong><label>@PaymentMeans.Neto</label></strong></th>
            <th><strong><label>@PaymentMeans.CUIT</label></strong></th>
            <th><strong><label>@PaymentMeans.Reference</label></strong></th>
            <th><strong><label></label>@PaymentMeans.Surcharge</strong></th>
            <th><strong><label></label>@PaymentMeans.Amount</strong></th>
            <th><strong><label></label>@PaymentMeans.AmountAfterSurcharge</strong></th>
            <th>&nbsp;</th>
        </tr>
    </thead>
    <tbody>
        @foreach (PaymentMeanOrder item in Model.Item1)
        {
            index++;
            item.DocEntry = index;
            decimal surcharge = @AppGlobal.PaymentMeans.Where(c => c.Code == item.U_PaymentCode).FirstOrDefault().U_Surcharge ?? 0;
            decimal SurchargeAfter = item.U_Amount + (item.U_Amount * (surcharge / 100));
            balance = balance - item.U_Amount;
            paid = paid + SurchargeAfter;
            //surchargePer = surchargePer + surcharge;
            amount = amount + item.U_Amount;
            <tr>
                <td>@index</td>
                <td>@AppGlobal.PaymentMeans.Where(c => c.Code == item.U_PaymentCode).FirstOrDefault().Name</td>
                <td>
                    <input type="number" class="control_payments" onchange="UpdatePaymentMean('@index');" id="Voucher_@index" value="@(item.U_Voucher == null ? " - " : item.U_Voucher )" />
                </td>
                <td>@(item.U_CreditCard == 0 ? " - " : item.U_CreditCard.ToString() )</td>
                <td>@item.U_Quotas</td>
                <td>@(item.U_Date == null ? null : item.U_Date.Value.ToShortDateString())</td>
                <td>@(item.U_DueDate == null ? null : item.U_DueDate.Value.ToShortDateString())</td>
                <td>@item.U_Account</td>
                <td>@item.U_Contract</td>
                <td>@item.U_Neto</td>
                <td>@item.U_CUIT</td>
                <td>@item.U_Reference</td>
                <td>@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Percent, surcharge))%</td>
                <td>@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Amount, item.U_Amount))</td>
                <td>@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Amount, SurchargeAfter))</td>
                <td><button type="button" onclick="DeletePaymentMean('@index');" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-trash"></span> Delete</button></td>
            </tr>
        }
        @{
            if (paid != 0 && Overall != 0)
            {
                //decimal diff = paid - amount;
                //Overall = Overall - diff;
                surchargePer = paid - Overall;

            }
        }
    </tbody>
    <tfoot>
        <tr>
            <th colspan="14">

                <div class="col-md-6 col-sm-6 pull-right ">
                    <div class="panel-body payment_means_total">
                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PaymentMeans.Paid
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value='@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Amount, paid))' id="txtPaid" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PaymentMeans.OverallAmount
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value='@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Amount, Overall))' id="txtOverall" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PaymentMeans.BalanceDue
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value='@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Amount, balance))' id="txtBalance" name="regular" class="form-control">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-6 control-label">
                                @PaymentMeans.Surcharge
                            </label>
                            <div class="col-md-6">
                                <input type="text" disabled="disabled" value='@(((UserView)Session["UserLogin"]).CompanyConnect.FormatNumberWithDecimals(Enums.Decimals.Percent, surchargePer))' id="txtSurcharge" name="regular" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>

            </th>
        </tr>
    </tfoot>
</table>

<div class="alert alert-info" id="alertPayment" role="alert">
    <strong>@PaymentMeans.Message1</strong>
</div>

<div class="alert alert-info" id="alertValidateCash" role="alert">
    <strong>@PaymentMeans.Message3</strong>
    <br />
    @PaymentMeans.Amount
</div>

<div class="alert alert-info" id="alertValidateCreditCrad" role="alert">
    <strong>@PaymentMeans.Message3</strong>
    <br />
    @PaymentMeans.CreditCardNro
    <br />
    @PaymentMeans.Amount
</div>

<div class="alert alert-info" id="alertValidateCheque" role="alert">
    <strong>@PaymentMeans.Message3</strong>
    <br />
    @PaymentMeans.Date
    <br />
    @PaymentMeans.DueDate
    <br />
    @PaymentMeans.Account
    <br />
    @PaymentMeans.CUIT
    <br />
    @PaymentMeans.Amount
</div>

<div class="alert alert-info" id="alertValidateTransferencia" role="alert">
    <strong>@PaymentMeans.Message3</strong>
    <br />
    @PaymentMeans.Date
    <br />
    @PaymentMeans.Account
    <br />
    @PaymentMeans.Reference
    <br />
    @PaymentMeans.Amount
</div>

<div class="alert alert-info" id="alertValidateFinanciera" role="alert">
    <strong>@PaymentMeans.Message3</strong>
    <br />
    @PaymentMeans.Quotas
    <br />
    @PaymentMeans.Neto
    <br />
    @PaymentMeans.Contract
    <br />
    @PaymentMeans.Amount
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $("#alertPayment").hide();
        $("#alertValidateCreditCrad").hide();
        $("#alertValidateCash").hide();
        $("#alertValidateTransferencia").hide();
        $("#alertValidateCheque").hide();
        $("#alertValidateFinanciera").hide();
    });
</script>
